Exiv2 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1219784 漏洞类型 缓冲区错误
发布时间 2018-07-16 更新时间 2019-10-08
CVE编号 CVE-2018-14046 CNNVD-ID CNNVD-201807-1184
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201807-1184
|漏洞详情
Exiv2是软件开发者Andreas Huggel所研发的一套用于管理图像元数据的C++库和命令行应用程序,它提供了读取和写入EXIF、IPTC和XMP多种格式的图像元数据。 Exiv2 0.26版本中的webpimage.cpp文件的‘WebPImage::decodeChunks’函数存在缓冲区溢出漏洞。攻击者可利用该漏洞造成基于堆的缓冲区越界读取。
|参考资料

来源:github.com

链接:https://github.com/Exiv2/exiv2/issues/378